[PDB-1003] "You shall not pass!" error could be more informative Created: 2014/10/30  Updated: 2016/01/20  Resolved: 2015/02/19

Status: Closed
Project: PuppetDB
Component/s: None
Affects Version/s: None
Fix Version/s: PDB 3.0.0

Type: Improvement Priority: Normal
Reporter: Zee Alexander Assignee: Russell Mull
Resolution: Fixed Votes: 0
Labels: customer, support, trivial
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Template:
Story Points: 1
Sprint: PuppetDB 2015-02-25

 Description   

While entertaining, it would nice if the "You shall not pass!" error provided useful feedback.

Something like:

Is your master's certname listed in PuppetDB's cetificate-whitelist file? 
 
Also, if you recently re-certed your PuppetDB node, you may need to run puppetdb ssl-setup -f and then restart PuppetDB.



 Comments   
Comment by Zee Alexander [ 2015/02/11 ]

Worth noting that currently puppetdb ssl-setup -f breaks load-balanced PuppetDBs since they need to share a single SSL cert and that command puts the agent cert in place.

Generated at Mon Sep 23 12:34:31 PDT 2019 using JIRA 7.7.1#77002-sha1:e75ca93d5574d9409c0630b81c894d9065296414.